<div class="with-margin-container">
  <h5 *ngIf="status==='ACCEPTED'" class="green-text">Водитель принят</h5>
  <h5 *ngIf="status==='REJECTED'" class="warn-text">Заявка отклонена</h5>
  <h5 *ngIf="status==='WAITING'" class="yellow-text">Требуется модерация</h5>
  <form class="example-form">
    <mat-accordion>
      <mat-expansion-panel [expanded]="expand1"
                           (opened)="expand1 = true"
                           (closed)="expand1 = false">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <h6>Водитель</h6>
          </mat-panel-title>

        </mat-expansion-panel-header>
        <div class="exp">
          <table class="example-full-width" cellspacing="0">
            <h1 class="mat-subheading-1 accent-color">Личная информация</h1>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Фамилия" disabled [value]="firstNameValue">
                  <mat-icon matSuffix>person</mat-icon>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Имя" disabled [value]="secondNameValue">
                  <mat-icon matSuffix>person</mat-icon>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Отчество" disabled [value]="patronymicNameValue">
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-radio-group aria-label="Пол">
                  <mat-radio-button checked disabled value="1" #rad1>Мужской</mat-radio-button>
                  <mat-radio-button value="2" disabled #rad2>Женский</mat-radio-button>
                </mat-radio-group>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Дата рождения" disabled [value]="birthdayValue">
                </mat-form-field>
              </td>
            </tr>
          </table>
          <h1 class="mat-subheading-1 accent-color">Контактная информация</h1>
          <table class="example-full-width">
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Адрес" disabled [value]="addressValue">
                  <mat-icon matSuffix>home</mat-icon>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Адрес 2" disabled [value]="addressValue2">
                  <mat-icon matSuffix>apartment</mat-icon>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field>
                  <input type="tel" matInput placeholder="Телефон" disabled [value]="phoneValue">
                  <mat-icon matSuffix>phone</mat-icon>
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Email" disabled [value]="emailValue">
                </mat-form-field>
              </td>
            </tr>
          </table>
        </div>

      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="expand2"
                           (opened)="expand2 = true"
                           (closed)="expand2 = false">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <h6>Документы</h6>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="exp">
          <table class="example-full-100-width" cellspacing="0">
            <h1 class="mat-subheading-1 accent-color">Паспорт</h1>
            <tr>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput placeholder="Серия" disabled [value]="seriaPasportValue">
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput placeholder="Номер" disabled [value]="numberPasportValue">
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput placeholder="Дата выдачи" disabled [value]="datePasportValue">
                </mat-form-field>
              </td>
            </tr>
            <h1 class="mat-subheading-1 accent-color">Водительское удостоверение</h1>
            <tr>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput placeholder="Серия" [value]="seriaVodValue" disabled>
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput placeholder="Номер" disabled [value]="numberVodValue">
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput placeholder="Дата выдачи" disabled [value]="dateVodValue">
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-100-width">
                  <input matInput placeholder="Действителен до"
                         disabled [value]="dateAccessValue">
                </mat-form-field>
              </td>
            </tr>
          </table>
        </div>
      </mat-expansion-panel>
      <mat-expansion-panel [expanded]="expand3"
                           (opened)="expand3 = true"
                           (closed)="expand3 = false">
        <mat-expansion-panel-header>
          <mat-panel-title>
            Автомобиль
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="exp">
          <table class="example-full-width" cellspacing="0">
            <h1 class="mat-subheading-1 accent-color">Информация об автомобиле</h1>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Марка" disabled [value]="markValue">
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Модель" disabled [value]="modelValue">
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Цвет автомобиля" disabled [value]="colorValue">
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Номер автомобиля" disabled [value]="numberValue">
                </mat-form-field>
              </td>
            </tr>
            <tr>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Год выпуска" disabled [value]="yearValue">

                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Кол-во дверей" disabled [value]="countDoorValue">
                </mat-form-field>
              </td>
              <td>
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="VIN" disabled [value]="vinValue">
                </mat-form-field>
              </td>
            </tr>
          </table>
        </div>
        <br>
      </mat-expansion-panel>
    </mat-accordion>
    <div class="row">
      <mat-form-field class="example-full-50-width">
        <textarea matInput [matTextareaAutosize]="true" placeholder="Комментарий" [(ngModel)]="commentValue"
                  name="commentValue"></textarea>
      </mat-form-field>
      <div class="timestamp">
        <mat-form-field class="helf-50-width">
          <input matInput disabled [value]="dateWritingValue" placeholder="Дата заполнения">
        </mat-form-field>
        <mat-form-field class="helf-50-width">
          <input matInput placeholder="Время заполнения"
                 disabled [value]="timeWritingValue">
        </mat-form-field>
      </div>
    </div>
  </form>
  <div class="example-button-row">
    <button mat-raised-button color="primary" *ngIf="status !== 'ACCEPTED'" (click)="accept()">
      Принять
    </button>
    <button mat-raised-button color="warn" *ngIf="status !== 'REJECTED'" (click)="reject()">Отклонить</button>
    <button mat-raised-button (click)="cancel()">Назад</button>
  </div>
</div>

